//app.js
// 1.小程序不是运行在浏览器中，所以没有BOM和DMO对象
// console.log(window) => undefined
// console.log(document) => undefined

// 2.小程序的js有一些额外多成员
// App 方法 用于定义应用程序实例对象
// Page 方法 用于定义页面对象
// getApp 方法 用来获取全局应用程序对象
// getCurrentPages 方法 用来获取当前页面的调用栈(数组，最后一个就是当前页面)
// wx 对象 用来提供核心API的

// 3.小程序的JS是支持CommonJS规范的
// const con = require('./utils/con.js')//调用方法
// con.sayy(' world')
App({
  coreUrl: 'https://yqj.365wy.top/wxcore/api/Values/',//调用后台地址
  webUrl:'https://yqj.365wy.top/pm/Webservice.asmx',//调用web接口地址
  UserName:'admin',//web接口验证账号
  PassWord:'admin123',//web接口验证密码
  userFileUrl:'https://yqj.365wy.top/baodicore/Upload',//客户上传报事图片地址
  onLaunch: function () {
    // 展示本地存储能力
    var logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)
  },
})